--[[
                                ----o----(||)----oo----(||)----o----

                                                Yarrr

                                      v3.01 - 8th November 2021
                                Copyright (C) Taraezor / Chris Birch

                                ----o----(||)----oo----(||)----o----
]]

local myName, ns = ...
ns.expID = 0
-- Chocolate theme
ns.colour = {}
ns.colour.prefix	= "\124cFFD2691E"	-- X11Chocolate
ns.colour.highlight = "\124cFFF4A460"	-- X11SandyBrown
ns.colour.plaintext = "\124cFFDEB887"	-- X11BurlyWood
-- Up Values
local gmatch = string.gmatch or string.gfind
local gsub = string.gsub
local lower = string.lower
local random = random
local sub = string.sub
local SendChatMessage = SendChatMessage

-- I use this for debugging
local function printPC( message )
	if message then
		DEFAULT_CHAT_FRAME:AddMessage( ns.colour.prefix .."Yarrr: " ..ns.colour.plaintext ..message .."\124r" )
	end
end

--------------------------------------------------------------------------------------------------------------------------------------------
--
--		Pirate Puns and Yells
--		=====================
--
--------------------------------------------------------------------------------------------------------------------------------------------

local puns = {
-- Vanilla
		"A pirate walks into a bar\nwith a parrot on his shoulder.\n\nBartender: \"Where'd you get that?\"\n\nParrot: \"Faldir's Cove!\"",
		"Difference between a pirate and a strawberry farmer?\n\nThe pirate buries his treasure,\nthe farmer treasures his berries",
		"Yarrr! The hipster pirate be drinkin' a\nspirulina-seaweed emulsion married with\na celery, quinoa and beetroot infusion!",
		"I'll have yer gizzards roasted over an\nopen fire and yer guts in Dead Mines rum!\n\nWaiter: Would you like dessert, sir?", 
		"A pirate, druid, mage and\na priest walk into a bar...\n\nBartender: \"Now wait a minute,\nis this some kind of a joke?\"",
		"A pirate, dwarf, and night\nelf walk into a bar...\n\nBartender to the pirate: \"Hey buddy,\nare you in the right joke?\"",
		"Did you see the dwarf\npirate's huge beard?\n\nWas it a naval beard?\n\nNo, it was on his chin\nlike all the others",
		"A pirate walks into\na bar with a slab of\nbitumen under his arm...\n\"A beer please, and one for the road.\"",
		"Yarrr! Captain Jack Sparrow\ncalls himself a pirate?\nI got myself an eyepatch.\nHim? He just wears mascara!", 
		"Have you heard about the new pirate movie?\n\nIt's rated arrrrrr!\n\nWhy?\n\nBecause of all the booty!", "Toss me that dwarf, %p!",
		"So the dwarf, she offers to\nsing me a sweet sea-chantey.\n\nYarrr! I told her to shave her beard off!", 
		"What's tha difference between a\ntossed dwarf and a tossed salad?\n\nA tossed dwarf is much more fun",	"Who be Cap'n Placeholder?",
		"If illegally downloading is bad then\nwhy do they name it after the most\nawesome job in the world?", 
		"What be tha difference between a tossed\ndwarf and a tossed salad?\n\nTha sharks can eat tha dwarf!", "Dead men tell no tales %p!",
		"Yarrr, I hurt me back with that\nlast dwarf! Think I'll stick to\ntossing gnomes from now on...",
		"Why was it so hard to call the pirate on the phone?\n\nBecause he left the phone off the hook",
		"Why does it take pirates so long to learn the alphabet?\n\nBecause they can spend years at C!",
		"What did the pirate’s parrot say\nwhen it fell in love with a duck?\n\nPolly wants a quacker",
		"What happened when Bluebeard the\nPirate fell overboard in the Red Sea?\n\nHe got marooned!",
		"I know a pirate with a wooden leg called \"Joe\".\n\nReally? So what does he call his hook?", 
		"May yer anchor be tight,\nyer cork be loose,\nyer rum be spiced,\nand yer compass be true!", "Cap'n Placeholder?\nThat chameleon!",
		"Why is pirating so addictive?\n\nBecause after you lose your\nfirst hand, you get hooked!", "Yarrr! We be ready to parrrrrrty %p!",
		"Aye! She be a lovely gnome. Told her I was\nlooking fer booty and she offered me hers!", "Does a trending pirate wears an iPatch?",
		"How does a pirate\ncelebrate his birthday?\n\nAny way he wants %p,\nanyway he wants!", "Where be High Admiral\n\"Shelly\" Jorrik?",
		"Why did the pirate\ngo to speech therapy?\n\nBecause he couldn't\nsay his arrrrrrs!", "To err is human but to\narrrrrr is pirate!",
		"So a pirate's favourite letter\nis arrrrrr you say? Nay, his\nfirst love be tha C!", "Pirates are pirates\nbecause they arrrrrgh!",
		"How much did the night elf\npirate pay for his piercings?\n\nA buck-an-ear, yarrr!", "How do pirates do it?\n\nHarrrrrder! Yarrr!",
		"So if I download a film in Barbados, does\nit make me a Pirate of the Caribbean?",
		"What do you call a pirate with\ntwo eyes, two hands and two legs?\n\nA beginner!",
		"Why did the Pirate give\nhis ship a coat of paint?\n\nIts timbers were shivering", "Which letter do pirates like best?\n\nArrrrr!",
		"Why did the one-handed pirate cross the road?\n\nTo get to the second hand shop", "Yarrr! The drop rate be\nlower than my anchor!",
		"Done any pirating lately me matey?\n\nNarrrrrr, me DVD burners on the blink!", "What is a pirates favourite doll?\n\nBarrrrrrbie!",
		"Why shouldn't you play cards with a pirate?\n\nBecause he'll stand on the deck", 
		"Yarrr! Piracy be a 'victimless crime'\nif yer be burying yer victims proper!", "How do you rate a pirated movie?\n\n3.14159265...",
		"Yarrr! Call yerself an 'internet pirate'?\nThen why yer be sharin' yer loot?", "Drink rum! It prevents\nscurvy and boosts morale!",
		"Old pirates sailed the high seas.\n\nModern pirates surf in The Pirate Bay",
		"Cap'n Placeholder will meet the ropes end\nby sunrise if I ain't Cap'n %p!",
		"Me skull and crossbones aren't the\nonly things I plan on raisin' tonight!", "If rum don' fix it, then\nyer not usin' enough rum!",
		"Why did the hipster pirate hate the sea?\n\nBecause it was too mainstream", "Why was the pirate ship so cheap?\n\nIt was on sail!",
		"Pirate girls rule. Except dwarves.\nThey be too busy waxing their chests!", "Noah was the first pirate.\nHe built the arrrrrrk...",
		"What job did the pirate have during the winter?\n\nHe was an arrrrrrtist!", "So she asked me to show her\n'ow I bury me treasure!",
		"Seagulls? Yarrr! When\nI be in Booty Bay, they\nbe known as \"bagels\" %p",
		"A dyslexic pirate walks into a bra...\nand orders tow large jugs of beer", "Why are pirates called pirates?\n\nThey just arrrrrr!",
		"When drinking rum, the only thing a\npirate adds to the rum is more rum!", "What medication did\nthe pirate take?\n\nVitamin sea!",
		"What did the pirate say during the winter storm?\n\nTharrrrrr she snows!", "What has eight legs and eight eyes?\n\nEight pirates!",
		"Why did the pirate give up the game of golf?\n\nHe kept hooking the ball", "So I said to her \"Yo ho!\"\nand she slapped me face!",
		"He didn't smash the quarter cask\nbut he sure cracked Jenny's tea-cup!", "What are the only notes a pirate can sing?\n\nHigh C’s!", 
		"Why did the pirates go on holiday?\n\nTo get some arrrrrr and arrrrrr!", "What was the pirate’s second job?\n\nAn arrrrrrchitect!",
		"How much do pirates charge to pierce someone’s ears?\n\nA buck an ear", "A pirate should never pick\nhis nose with his hook hand!",
		"How much did the pirate’s peg leg and hook cost?\n\n An arm and a leg", "What was the parrot’s favourite game?\n\nHide and speak!",
		"Holds her liquor rightly fer a\ndwarf! Put hair on her chest it did!", "What do pirates use\nto blow their noses?\nAnchor-chiefs!",
		"Aye, she be a whale. But the hour\nbe late and her blow hole is wet!", "What does a pirate call vacation?\n\nArrrrrr 'n' arrrrrr!",
		"Which pirate movies can’t kids go to see?\n\nThe ones rated Arrrrrr!", "What’s a pirate’s favourite movie?\n\nBooty and the Beast",
		"Aye! Islands were\ncreated to provide a\nplace for pirates to visit!", 
		"What did the crewman find in the toilet bowl?\n\nThe Captain's log!", "What'd the pirate say\non his 80th birthday?\n\nAye matey!",
		"Aye, Cap'n Placeholder\nbe sailing the seas of\nthe Peeteeah (PTR)!",
		"How did the pirate become a lawyer?\n\nHe passed the barrrrrrr exam",
		"Which Star Wars character\ndo pirates like the most?\n\nArrrrrr2D2", "Yarrr! I be a hipster pirate!\nI only drink fair-trade rum!",
		"Yer can swab the poop deck, but\nyer can't poop on the swab deck!", "Bring me my black jack, filled\nwith Cuergo's Gold and worm!", 
		"Why didn't the pirate get a new hat?\nHe was afraid of cap-sizing", "Talk Like A Pirate Day should\nalways be on a Satarrrrrrday!",
		"How do pirates communicate with each other?\n\nWith an aye phone!", "What are pirates'\nfavourite vegetables?\n\nArrrrrrtichokes!",
		"How does a pirate declutter his ship?\n\nBy having a yarrrrd sale", "What was the pirate’s favourite school subject?\n\nArrrrrrt!",
		"What did the ocean say to the pirate?\n\nNothing, it just waved.", "Why did the pirate move to Russia?\n\nTo become a Tsarrrrrrr!",
		"Where do pirates put their trash?\n\nIn the The Garrrrrrbage can", "Yarrr! Bijou surely knows\nwhere the treasures be\nhidden %p!",
		"How much does a pirate’s treasure cost?\n\nAn arm and a leg, %p!", "What style of food do\npirates like the most?\n\nBarrrrrr-B-Q",
		"What is a pirate's\nfavourite fish?\n\nSwordfish %p,\nswordfish!",
		"Drinkin' rum before 10am makes\nyou a pirate, not an alcoholic!", "Where do pirates go for their haircuts?\n\nTo the barrrrrrber!", 
		"Yarrr! It be almost 4:20...\nTime for my sea-weed...",
		"How did the pirate\nget his mast up?\nWith a wench!",
		"What is a pirate’s favourite punch?\n\nLeft hook!",	
		"So this female dwarf\noffered to toss ME, %p!",
		"Arrr you ready to parrrrty me mateys?",
		"Do old pirates have arrrrrrthritis?",
		"Time flies when yer havin' rum!",
		"Instant pirate!\nJust add rum!",
		"All for rum and rum for all!",		
-- TBC
		"Found me Ragnarose the parrot on\nAzuremyst Isle and it spoke to me!\n\n\"By feathers be purged\", it said!", 
		"Thar they were, that handsome\nbriny stallion and someone else\nstandin' beside the blood elf...",
		"Yarrr! To obtain your Miniwing pet you must first seek Skywing in Terokkar Forest!", 
		"Look at that draenei! At least an octopus\nhas tentacles in all the right places!", 
		"Yarrr, if I see one more\nblood elf in a negligee I'll\nhang him from the mizzen!",
		"A night elf is tha same as a\nblood elf, only not as pretty!", 
		"Yarrr! Miniwing the parrot\nhails from Terokkar Forest!",  
-- WotLK		
		"Splice the mainbrace! I got\nme Aotona from Sholazar %p!",
		"Yarrr! Pretty Molly be\nfound near Kamagua...",
-- Cata
		"Yarrr! Burgy Blackheart be\nfound south of Nespirah,\nby his wreck!", 
		"Yarrr! Cap'n Placeholder be\nsurely due for a promotion!",
		"The Deadmines be thar\nplace fer parrots!",
-- MoP
		"Yarrr! Wha'd ya mean there's Beaky,\nOl' Beaky, Young Beaky and Beaky\nPete? All I want is a parrot!",
		"Yarrr! The Emerald Lory of\nKrasarang Wilds is a\nmighty fine bird!", 
		"Died camping the Hyacinth\nMacaw in Ironclad Cove!",
		"Yarrr! Young Beaky be\nseen east o' the Bay!",
		"I got me Polly in\nNorthern Stranglethorn!",
		"Who be Adm'rl Placeholder?",
}
local numPuns = 128

local expressions = {
-- Vanilla
		"Fifteen men on the dead man's chest, \"Yo-ho-ho, and a bottle of rum!\", Drink and the devil had done for the rest. \"Yo-ho-ho, and a bottle of rum!\"", 
		"I'm sick in the head and I haven't gone to bed. Since I first came ashore from me slumber. For I spent all me dough on the lassies don't you know. Far across the sea I must wander",
		"A pirate walks into a bar with a steering wheel on his pants, a peg leg and an eye patch. Bartender: \"Hey, you've got a steering wheel on your pants.\" Pirate: \"Yarrr, I know. It's driving me nuts!\"",
		"A pirate, druid, mage and a priest walk into a bar... The bartender says: \"Now wait a minute, is this some kind of a joke?\"",
		"A pirate, dwarf, and night elf walk into a bar... The bartender says to the pirate: \"Hey buddy, are you in the right joke?\"",
		"A hipster pirate's \"rum\"? It's really a spirulina-seaweed emulsion married with a celery, quinoa and beetroot infusion!", "Arr!",
		"Aye! I be huntin' fer the treasure of one Guybrush Ulysses Threepwood, thar mightiest pirate of tha fabled Monkey Island!",
		"Swear before tha mast that yer don' know the where abouts of Elaine Marley or I'll cleave yer to the brisket, landlubber!",
		"I swear we dived down to the sea garden an' there were these brightly clothed gnomes, standing around with fishing poles!",
		"Well I tried to snare me Opus, a smoking, drinking parrot in the Burning Steppes. Said he needed Cuergo's Gold with Worm!",
		"Only the devil and I know the whereabouts of me treasure. The one of us who lives the longest should take it all!", 
		"A pirate walks into\na bar with a slab of\nbitumen under his arm...\n\"A beer please, and one for the road.\"", "Walk thar plank!",
		"So the dwarf, she offers to sing me a sweet sea-chantey. Yarrr! I told her to shave her beard off!", 
		"Don't yer go pickin' yer teeth with that weapon, else yer'll lose 'n eye like Cap'n Garvey!", "Weigh anchor and hoist the mizzen!",
		"May yer anchor be tight, yer cork be loose, yer rum be spiced, and yer compass be true!", "The drop rate be lower than my anchor!",
		"Aye! She be a lovely gnome. Told her I was looking fer booty and she offered me hers!", "So this female dwarf offered to toss ME!",
		"Remember: When drinking rum, the only thing a pirate adds to the rum is more rum!", "Show thar bungling blaggards the rope's end!",
		"That slack-jawed Cap'n Placeholder is a pustulous bilge rat if ever I saw one!", "Aye, the rougher the seas, the smoother we sail",
		"Haul wind me hearties! We be makin' haste to Henry Every's treasure horde!", "So she asked me to show her 'ow I bury me treasure!",
		"Yarrr! The Defias scum killed all me brothers 'n' sisters in Ironclad Cove", "So I asked if I could drop me anchor in her lagoon!",
		"Cap'n Placeholder will meet the ropes end by sunrise if I ain't Cap'n %p!", "That’s some treasure chest you’ve got there, lassie!",
		"Me skull and crossbones aren't the only things I plan on raisin' tonight!", "So I said to her \"Yo ho!\" and she slapped me face!",
		"Pirate girls rule. Except dwarves. They be too busy waxing their chests!", "Aye, he be four sheets ter tha wind, carry him below!",
		"A dyslexic pirate walks into a bra...\nand orders tow large jugs of beer", "I hear there be plenty o' treasure in the Pirate Bay!",
		"It's like waiting for Admiral Proudmoore to sail into Menethil Harbour!", "Aye, Cap'n Placeholder be sailing the seas of the PTR!",
		"I be hearin' High Admiral \"Shelly\" Jorrik has got \"plans\" for you!", "A pirate should never pick his nose with his hook hand!",
		"Get me Cap'n Placeholder! I wanna swab the deck with his scurvy hide!", 
		"They all go to the Spire but none never come back... just like Bijou", "Baron Longshore! That duplicitous dog! Bring me his head!",
		"He didn' smash tha quarter cask but he sure cracked Jenny's tea-cup!",  
		"Holds her liquor rightly fer a dwarf! Puts hair on her chest it did!", 
		"Aye, she be a whale. But the hour be late and her blow hole is wet!", "Aye! She died camping the Hyacinth Macaw in Ironclad Cove!",
		"Mark my words! That Bijou in Hordemar City, she be wastin yer time!", 
		"Standin' in tha crows nest with naught company but me own thoughts!", 
		"Aye! Islands were created to provide a place for pirates to visit!", "Bring me my black jack, filled with Cuergo's Gold and worm!",
		"Aye! Careful me hearties, that be the Yellow Jack they be flying!", "I'm a wild pirate too with the usual wild pirate intentions!",
		"Yer can swab the poop deck, but yer can't poop on the swab deck!", 
		"So the doctor told me to stick out my tongue and say arrrrrrgh!", "She'll walk the plank, that barnacle breasted swine dog wench!",
		"Raise the Black. Tell 'em we're coming. It'll make it more fun!", 
		"I be feared on every coast of Azeroth, maybe Argus too!",
		"Had you fought like a man, you wouldn't die like a dog",
		"So she asked me if I'd like a scabbard fer me cutlass!",
		"I be needin' brave and stalwart sailors for me vessel!",
		"Yarrr! It be cackle fruit an hardtack for yer all!",
		"Yarrr! Send tha bilge sucker to Davy Jones locker!", 
		"If rum don' fix it, then yer not usin' enough rum!",
		"Aye, the yardarm be the place to string them high!",
		"Yer'll meet tha rope's end for that yer bilge rat!", 
		"Humour me with a sea-chanty my sweet bilge lassie", 
		"Yarrr! Thar be booty to be had down in Booty Bay!",
		"Yarrr! He be married to that hairy chested dwarf!",
		"Drink rum! It prevents scurvy and boosts morale!",
		"Yer'll be licking bilge when I be done with yer!", 
		"Step to! We be sailing by the moon this night!",
		"That wench will walk my plank by night's end!", 
		"Yarrr! Ah be seein' yer in Davy Jones Locker!",
		"Bijou surely knows where treasures be hidden",
		"Pirates are pirates because they arrrrrrgh!",
		"So I buried me treasure in 'er chest I did!",
		"The Defias call 'emselves pirates? Harrr!",
		"Aye! Take what ye can! Give naught back!",
		"Sail ho! Thar be doubloons awaitin' us!",
		"Aye! Ye be surely free on Saturrrrrday!",
		"All hand hoy, they be striking colours!", 
		"Arrr you ready to parrrrty me mateys?", 
		"Yo ho, yo ho, a pirate's life for me!", 
		"Keelhaul the Hornswagglin' scallywag!", 
		"Run a rig again on me an yer'll walk!", 
		"Can I drop my anchor in your lagoon?",
		"You're a canvass shy of a full sail!",
		"Tha hit me like a clap o' thunder!",
		"Avast ye! Hoist thar Jolly Roger!", 
		"Yer be three sheets ter tha wind!", 
		"Do ya mind if the parrot watches?", 
		"Yer nothing more than shark bait!", 
		"Aye! Let's dance the hempen jig!", 
		"Thar be doubloons in the coffer!", 
		"Avast ye slime suckin' sea-slug!",	
		"Fly the Black with pride, matey!",
		"Make 'im swim with thar killick!", 
		"Time flies when yer havin' rum!", 
		"Ask Kibler about thar treasure!", 
		"Touch my loot and feel my boot!",
		"Yer a slack-jawed hornswaggler!", 
		"Swab the deck and you may live!", 
		"Aye! So ya been crimpin on me?",
		"Prepare to be boarded, lassie!", 
		"Keep a weather eye open matey!", 
		"Hang 'er from the crow's nest!", 
		"Time to dance with Jack Ketch!", 
		"Son of a Biscuit Eater, yarrr!", 
		"Fetch me tha Cat O'Nine Tails!", 
		"All for rum, and rum for all!",
		"May I swab your deck, ma'am?", 
		"Be gone with ya, landlubber!",
		"Pirates do it harrrrrrder!", 
		"Cleave him to the brisket!",
		"Pieces'o'eight fer all ye!",
		"Run a shot across the bow!", 
		"Hang 'im from the yardarm",
		"Be gone with yer, swabie!",
		"Get me the hempen halter!", 
		"Avast ye barnacled bucco!", 
		"Batten down the hatches!", 
		"Yer a mutinous blowfish!", 
		"Dead men tell no tales!", 
		"Tie her to the mizzen!", 
		"Feed her to the fish!", 
		"Hoist the Black high!", 
		"Hoist the main sail!",
		"I need me a parrot!",
		"Yarrr, shark bait!", 
		"X marks the spot!", 
		"Fire in the hold!", 
		"Ye're scurvy dog!",
		"There She Blows!", 
		"Walk ther plank!",
		"All hands ahoy!",		
		"Yarrr sail ho!",
		"Bilge lickers!",
		"Land ahoy!",
-- TBC
		"If yar tell me how ter snare me Treasure from The Maiden's Fancy, thar be doubloons a'plenty for yer!",
		"Found me Ragnarose the parrot on Azuremyst Isle and it spoke to me! \"By feathers be purged\" it said!", 
		"Thar they were, that handsome briny stallion and someone else standin' beside the blood elf!",
		"Yarrr, if I see one more blood elf in a negligee I'll hang him from the mizzen!", 
		"Splice the mainbrace! I got me a Miniwing from Terokkar Forest!", 
		"Look at that pretty boy blood elf!",
-- WotLK
		"Hoist the mainsail! We be sailn' the Northern Seas to Sholazar. I want me an Aotona parrot!",
		"\"Silvermoon\" Harry of Scalawag Point. Now there's a genuine blood elf aboo!", 
		"Aye, Molly from Kamagua. Prettiest bird I ever lay me eyes upon!", 
		"Beware of Cap'n Slappy when he be at thar 'Bay!",
		"I be hearing Jack Adams likes a drink or three", 	
-- Cata
		"So I was talkin' over a rum with Crazy Larry in the Swamp of Sorrows. He's offering a fine reward to find his Dirty Mary!",
		"Aye, Cap'n J. Garvey of the Maiden's Dagger! Piracy, kidnapping, extortion, arson, slavery... a citizen of the high seas!",
		"Aye! I found Bijou's belongings before that Cataclysm. Went back to visit her fer old times sake. She's got nothin' much!",
		"So I found Lil' Crazy Jerry in the Sorrowmurk. Three sheets to the wind I was. Fired me from a cannon!", 
		"An albino eye-gouger parrot yer say? Well thar be a fine one in Ironclad Cove!", 
		"Aye! Before the Cataclysm I found Cuergo's Hidden Treasure down Tanaris way!", 
		"That rogue scallywag got harself a fine ghostly parrot in thar Deadmines!", 
		"Avast! That Burgy Blackheart is a scurvy swine if ever thar be one!",
		"Burgy Blackheart's Handsome Hat looks mighty pretty on a blood elf!",
		"Set sail for the Deadmines! I be needing a parrot!",
		"Arrr, that worgen bays like a mangy sea-dog!", 

-- MoP
		"Sailed the river o' the Valley o' the Four Winds I did, searching for Private Tim P. O'Rary!",
		"A white parrot with sulphur markings yer say? Well thar be a fine one over in Faldir's Cove!",
		"So yer tellin' me ya got a Young Beaky in Northern Stranglehtorn? Yer a lying bilge rat!",
		"Aye! The Emerald Lory of Krasarang Wilds makes a grand fine pirate parrot!", 
		"Hey? Since when was Cap'n Placeholder promoted to Adm'rl Placeholder?", 
		"I got me a Polly in Northern Stranglethorn!",
-- WoD
		"Aye been huntin' for Beaker, the elusive parrot!",
-- Legion
		"What Rear Admiral Giggleplanks lacks in stature he compensates for with the length of his weapon!", 
		"Pieces o eight and doubloons if ya tell me where to catch me Beaky Pete the parrot!", 
}
local numExpressions = 171

--------------------------------------------------------------------------------------------------------------------------------------------
--
--		Slash Commands
--		==============
--
--------------------------------------------------------------------------------------------------------------------------------------------

SLASH_Yarrr1 = "/yarrr"

SlashCmdList[ "Yarrr" ] = function( options )

	local options1, secondParm;
	for v in gmatch( options, "(%S+)" ) do
		v = lower( v )
		if not options1 then
			options1 = sub( v,1,1 )
		else
			secondParm = v
			break
		end
	end

	if not options1 or ( options1 == "?" ) then
		printPC( ns.colour.highlight .."Commands: (/yarrr x)\n"..
			ns.colour.highlight .."1" ..ns.colour.plaintext .." = random in General Chat\n"..
			ns.colour.highlight .."2" ..ns.colour.plaintext .." = random in Trade Chat\n"..
			ns.colour.highlight .."r" ..ns.colour.plaintext .." = random Yell\n")

	elseif ( options1 == "1" ) or ( options1 == "2" ) or ( options1 == "r" ) then
		local expIDnew = random( numExpressions )
		while ( ns.expID == expIDnew ) do
			expIDnew = random( numExpressions )
		end
		ns.expID = expIDnew
		local currentExp = expressions[ ns.expID ]
		currentExp = gsub( currentExp, ", %%p", "." )
		currentExp = gsub( currentExp, " %%p", "" )
		currentExp = gsub( currentExp, "\n\n", " " )
		currentExp = gsub( currentExp, "\n", " " )
		if ( options1 == "1" ) or ( options1 == "2" ) then
			SendChatMessage( currentExp, "CHANNEL", nil, tonumber( options1 ) )
		else
			SendChatMessage( currentExp, "YELL" )
		end
	end
end